Cyberduck Mountain Duck CLI

#10406 closed feature (worksforme)

Support to send custom commands over SSH

Reported by: bronskiy Owned by:
Priority: normal Milestone:
Component: sftp Version: 6.6.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

could you add button which allow to quick delete folder with a lot of files inside? as quick as rm -rf /some_folder command

Attachments (3)

2018-07-26_17-04-00.png (111.6 KB) - added by bronskiy on Jul 26, 2018 at 2:04:51 PM.
2018-08-06_19-38-41.png (43.1 KB) - added by bronskiy on Aug 6, 2018 at 4:40:40 PM.
2018-08-06_19-37-03.png (159.9 KB) - added by bronskiy on Aug 6, 2018 at 4:40:56 PM.

Download all attachments as: .zip

Change History (11)

comment:1 Changed on Jul 26, 2018 at 12:08:20 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

We do support recursive delete when the protocol supports it. This is not the case for FTP or SFTP however.

comment:2 Changed on Jul 26, 2018 at 2:03:23 PM by bronskiy

  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Type changed from feature to defect

then it doesn't works. Just tested it on SFTP connection. it is still deleting one folder while i'm typing this message. it will be deleted within a second if i'll type rm- rf /folder command

Changed on Jul 26, 2018 at 2:04:51 PM by bronskiy

comment:3 Changed on Jul 26, 2018 at 2:06:31 PM by bronskiy

as per screenshot it shows each file name that will be deleted and it takes time to delete each file separately

comment:4 Changed on Aug 6, 2018 at 3:42:32 PM by dkocher

  • Resolution set to invalid
  • Status changed from reopened to closed

SFTP does not support recursive delete on folders.

Changed on Aug 6, 2018 at 4:40:40 PM by bronskiy

Changed on Aug 6, 2018 at 4:40:56 PM by bronskiy

comment:5 Changed on Aug 6, 2018 at 4:42:11 PM by bronskiy

  • Resolution invalid deleted
  • Status changed from closed to reopened
  • Type changed from defect to feature

then could you add a field to send SSH command to a server? like Transmit app did

Last edited on Aug 6, 2018 at 4:44:31 PM by bronskiy (previous) (diff)

comment:6 Changed on Aug 6, 2018 at 5:56:06 PM by dkocher

  • Component changed from core to sftp
  • Summary changed from quick delete to Support to send custom commands over SSH

comment:7 Changed on Aug 6, 2018 at 5:59:45 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

This is supported. Refer to Remote Commands.

comment:8 Changed on Aug 6, 2018 at 6:04:53 PM by bronskiy

Cool. Thank you!

Note: See TracTickets for help on using tickets.
swiss made software